from config import TEMPLATES_FOLDER, STATIC_FOLDER, APP_BASE_URL, PORT
from oshipka.persistance import populate_static, init_db

from populate import populate_db
from webapp.app import app

if init_db(app):
    populate_static(app)
    populate_db(app)

app.template_folder = TEMPLATES_FOLDER
app.static_folder = STATIC_FOLDER

if __name__ == "__main__":
    print("Running on {}".format(APP_BASE_URL))
    app.run(port=PORT, debug=True, ssl_context=('webapp/ssl/cert.crt', 'webapp/ssl/cert.key'))

